SDL_GetAppState(3)

NAME
SDL_GetAppState- Get the state of the application

SYNOPSIS

#include "SDL.h"

Uint8 SDL_GetAppState(void);

DESCRIPTION

This function returns the current state of the application. The value returned is a bitwise combination of:

SDL_APPMOUSEFOCUS
    The application has mouse focus.

SDL_APPINPUTFOCUS
    The application has keyboard focus

SDL_APPACTIVE
    The application is visible

SEE ALSO

SDL_ActiveEvent